using System;
class HelloWorld {
  static void Main() {
    int x = int.Parse(Console.ReadLine());
    int y = int.Parse(Console.ReadLine());
    int max = 0;
    if(x>=y) max = x;
    else max = y;
    double broj = 0;
    for(int i = 0; i<max;i++){
        if(x%10>=y%10) {
            broj+=x%10 * Math.Pow(10,i);
            x/=10;
            y/=10;
        }
        else
        {
            broj+=y%10 * Math.Pow(10,i);
            x/=10;
            y/=10;
        }
    }
    Console.WriteLine(broj);
}